buildscript {
    repositories {
        mavenLocal()
        maven { url "http://maven.aliyun.com/nexus/content/groups/public" }
        mavenCentral()
    }
    dependencies {
        classpath("$bootGroup:spring-boot-gradle-plugin:$springBootVersion")
    }
}

apply plugin: "$bootGroup"
apply plugin: 'io.spring.dependency-management'
bootJar.enabled = false
jar.enabled = true

dependencies {
    compile project(":common:utils")
    compile project(":common:data")
    compile project(":dao:dao-interface")
    compile fileTree(dir: 'src/main/lib', include: '*.jar')
    compile('org.apache.logging.log4j:log4j-core:2.15.0')
    compile('org.apache.logging.log4j:log4j-jul:2.15.0')
    compile('org.apache.logging.log4j:log4j-api:2.15.0')
    compile('org.apache.logging.log4j:log4j-slf4j-impl:2.15.0')
}